// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		6A3445BA2F82695300B35186 /* DMMessagePack in Frameworks */ = {isa = PBXBuildFile; productRef = 6A3445962F8266BD00B35186 /* DMMessagePack */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		6AE33C3C2F6F4C5200AA7CA1 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6AE33C262F6F4C5100AA7CA1 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6AE33C2D2F6F4C5100AA7CA1;
			remoteInfo = KDChat;
		};
		6AE33C462F6F4C5200AA7CA1 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 6AE33C262F6F4C5100AA7CA1 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 6AE33C2D2F6F4C5100AA7CA1;
			remoteInfo = KDChat;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		6AE33C2E2F6F4C5100AA7CA1 /* KDChat.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = KDChat.app; sourceTree = BUILT_PRODUCTS_DIR; };
		6AE33C3B2F6F4C5200AA7CA1 /* KDChatTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = KDChatTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		6AE33C452F6F4C5200AA7CA1 /* KDChatUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = KDChatUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		6AE33C302F6F4C5100AA7CA1 /* KDChat */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = KDChat;
			sourceTree = "<group>";
		};
		6AE33C3E2F6F4C5200AA7CA1 /* KDChatTests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = KDChatTests;
			sourceTree = "<group>";
		};
		6AE33C482F6F4C5200AA7CA1 /* KDChatUITests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = KDChatUITests;
			sourceTree = "<group>";
		};
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		6AE33C2B2F6F4C5100AA7CA1 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6A3445BA2F82695300B35186 /* DMMessagePack in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6AE33C382F6F4C5200AA7CA1 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6AE33C422F6F4C5200AA7CA1 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		6AE33C252F6F4C5100AA7CA1 = {
			isa = PBXGroup;
			children = (
				6AE33C302F6F4C5100AA7CA1 /* KDChat */,
				6AE33C3E2F6F4C5200AA7CA1 /* KDChatTests */,
				6AE33C482F6F4C5200AA7CA1 /* KDChatUITests */,
				6AE33C2F2F6F4C5100AA7CA1 /* Products */,
			);
			sourceTree = "<group>";
		};
		6AE33C2F2F6F4C5100AA7CA1 /* Products */ = {
			isa = PBXGroup;
			children = (
				6AE33C2E2F6F4C5100AA7CA1 /* KDChat.app */,
				6AE33C3B2F6F4C5200AA7CA1 /* KDChatTests.xctest */,
				6AE33C452F6F4C5200AA7CA1 /* KDChatUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		6AE33C2D2F6F4C5100AA7CA1 /* KDChat */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6AE33C4F2F6F4C5200AA7CA1 /* Build configuration list for PBXNativeTarget "KDChat" */;
			buildPhases = (
				6AE33C2A2F6F4C5100AA7CA1 /* Sources */,
				6AE33C2B2F6F4C5100AA7CA1 /* Frameworks */,
				6AE33C2C2F6F4C5100AA7CA1 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				6AE33C302F6F4C5100AA7CA1 /* KDChat */,
			);
			name = KDChat;
			packageProductDependencies = (
				6A3445962F8266BD00B35186 /* DMMessagePack */,
			);
			productName = KDChat;
			productReference = 6AE33C2E2F6F4C5100AA7CA1 /* KDChat.app */;
			productType = "com.apple.product-type.application";
		};
		6AE33C3A2F6F4C5200AA7CA1 /* KDChatTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6AE33C522F6F4C5200AA7CA1 /* Build configuration list for PBXNativeTarget "KDChatTests" */;
			buildPhases = (
				6AE33C372F6F4C5200AA7CA1 /* Sources */,
				6AE33C382F6F4C5200AA7CA1 /* Frameworks */,
				6AE33C392F6F4C5200AA7CA1 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				6AE33C3D2F6F4C5200AA7CA1 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				6AE33C3E2F6F4C5200AA7CA1 /* KDChatTests */,
			);
			name = KDChatTests;
			packageProductDependencies = (
			);
			productName = KDChatTests;
			productReference = 6AE33C3B2F6F4C5200AA7CA1 /* KDChatTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		6AE33C442F6F4C5200AA7CA1 /* KDChatUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6AE33C552F6F4C5200AA7CA1 /* Build configuration list for PBXNativeTarget "KDChatUITests" */;
			buildPhases = (
				6AE33C412F6F4C5200AA7CA1 /* Sources */,
				6AE33C422F6F4C5200AA7CA1 /* Frameworks */,
				6AE33C432F6F4C5200AA7CA1 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				6AE33C472F6F4C5200AA7CA1 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				6AE33C482F6F4C5200AA7CA1 /* KDChatUITests */,
			);
			name = KDChatUITests;
			packageProductDependencies = (
			);
			productName = KDChatUITests;
			productReference = 6AE33C452F6F4C5200AA7CA1 /* KDChatUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		6AE33C262F6F4C5100AA7CA1 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 2630;
				LastUpgradeCheck = 2640;
				TargetAttributes = {
					6AE33C2D2F6F4C5100AA7CA1 = {
						CreatedOnToolsVersion = 26.3;
					};
					6AE33C3A2F6F4C5200AA7CA1 = {
						CreatedOnToolsVersion = 26.3;
						TestTargetID = 6AE33C2D2F6F4C5100AA7CA1;
					};
					6AE33C442F6F4C5200AA7CA1 = {
						CreatedOnToolsVersion = 26.3;
						TestTargetID = 6AE33C2D2F6F4C5100AA7CA1;
					};
				};
			};
			buildConfigurationList = 6AE33C292F6F4C5100AA7CA1 /* Build configuration list for PBXProject "KDChat" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 6AE33C252F6F4C5100AA7CA1;
			minimizedProjectReferenceProxies = 1;
			packageReferences = (
				6A3445952F8266BD00B35186 /* XCRemoteSwiftPackageReference "msgpack-swift" */,
			);
			preferredProjectObjectVersion = 77;
			productRefGroup = 6AE33C2F2F6F4C5100AA7CA1 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				6AE33C2D2F6F4C5100AA7CA1 /* KDChat */,
				6AE33C3A2F6F4C5200AA7CA1 /* KDChatTests */,
				6AE33C442F6F4C5200AA7CA1 /* KDChatUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		6AE33C2C2F6F4C5100AA7CA1 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6AE33C392F6F4C5200AA7CA1 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6AE33C432F6F4C5200AA7CA1 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		6AE33C2A2F6F4C5100AA7CA1 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6AE33C372F6F4C5200AA7CA1 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		6AE33C412F6F4C5200AA7CA1 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		6AE33C3D2F6F4C5200AA7CA1 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6AE33C2D2F6F4C5100AA7CA1 /* KDChat */;
			targetProxy = 6AE33C3C2F6F4C5200AA7CA1 /* PBXContainerItemProxy */;
		};
		6AE33C472F6F4C5200AA7CA1 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 6AE33C2D2F6F4C5100AA7CA1 /* KDChat */;
			targetProxy = 6AE33C462F6F4C5200AA7CA1 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		6AE33C4D2F6F4C5200AA7CA1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 26.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		6AE33C4E2F6F4C5200AA7CA1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 26.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		6AE33C502F6F4C5200AA7CA1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 18.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.smoll.KDChat;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_DEFAULT_ACTOR_ISOLATION = MainActor;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		6AE33C512F6F4C5200AA7CA1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.utilities";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 18.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.smoll.KDChat;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_DEFAULT_ACTOR_ISOLATION = MainActor;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		6AE33C532F6F4C5200AA7CA1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 26.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.smoll.KDChatTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/KDChat.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/KDChat";
			};
			name = Debug;
		};
		6AE33C542F6F4C5200AA7CA1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 26.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.smoll.KDChatTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/KDChat.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/KDChat";
			};
			name = Release;
		};
		6AE33C562F6F4C5200AA7CA1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.smoll.KDChatUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = KDChat;
			};
			name = Debug;
		};
		6AE33C572F6F4C5200AA7CA1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = F3AZTWNYRT;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = dev.smoll.KDChatUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = NO;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = KDChat;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		6AE33C292F6F4C5100AA7CA1 /* Build configuration list for PBXProject "KDChat" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6AE33C4D2F6F4C5200AA7CA1 /* Debug */,
				6AE33C4E2F6F4C5200AA7CA1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6AE33C4F2F6F4C5200AA7CA1 /* Build configuration list for PBXNativeTarget "KDChat" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6AE33C502F6F4C5200AA7CA1 /* Debug */,
				6AE33C512F6F4C5200AA7CA1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6AE33C522F6F4C5200AA7CA1 /* Build configuration list for PBXNativeTarget "KDChatTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6AE33C532F6F4C5200AA7CA1 /* Debug */,
				6AE33C542F6F4C5200AA7CA1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6AE33C552F6F4C5200AA7CA1 /* Build configuration list for PBXNativeTarget "KDChatUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6AE33C562F6F4C5200AA7CA1 /* Debug */,
				6AE33C572F6F4C5200AA7CA1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		6A3445952F8266BD00B35186 /* XCRemoteSwiftPackageReference "msgpack-swift" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/fumoboy007/msgpack-swift";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 2.0.6;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		6A3445962F8266BD00B35186 /* DMMessagePack */ = {
			isa = XCSwiftPackageProductDependency;
			package = 6A3445952F8266BD00B35186 /* XCRemoteSwiftPackageReference "msgpack-swift" */;
			productName = DMMessagePack;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 6AE33C262F6F4C5100AA7CA1 /* Project object */;
}
